-- 定义Lua脚本
local key = KEYS[1]      -- 从KEYS数组获取要检查的Redis key
local expireTime = tonumber(ARGV[1]) -- 从ARGV数组获取过期时间

-- 检查key是否存在并执行相应操作
if redis.call('EXISTS', key) == 1 then
    -- 存在：将key的值加一
    return redis.call('INCR', key)
else
    -- 不存在：设置key的值设置为1
    return redis.call('SET', key, 1, 'EX', expireTime) -- 'EX' 设置过期时间（秒）
end